For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
PARTNER

Get Order By ID

||View as Markdown|
GET
https://api-stg.transak.com/partners/api/v2/order/:orderId
GET
/partners/api/v2/order/:orderId
$curl https://api-stg.transak.com/partners/api/v2/order/ \
> -H "access-token: "
1{
2 "meta": {
3 "orderId": "322dc79c-fad2-4df1-bf50-b292191fc953"
4 },
5 "data": {
6 "_id": "322dc79c-fad2-4df1-bf50-b292191fc953",
7 "walletAddress": "0xD902d7eBFE",
8 "createdAt": "2024-10-15T14:29:11.104Z",
9 "status": "COMPLETED",
10 "fiatCurrency": "EUR",
11 "cryptoCurrency": "ETH",
12 "isBuyOrSell": "BUY",
13 "fiatAmount": 45,
14 "amountPaid": 45,
15 "paymentOptionId": "sepa_bank_transfer",
16 "network": "ethereum",
17 "quoteId": "20148892-f984-4e3f-8bb7-fba6c0ec9182"
18 }
19}
The Get Order By ID API retrieves comprehensive information for a given order using its unique order ID.
Was this page helpful?
Previous

Get Orders

Next

Get Webhooks

Built with

Path parameters

orderIdstringRequired
User order ID

Headers

access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Response

Order fetched successfully
metaobject
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error